Link in Vue Spreadsheet component

30 Jun 202624 minutes to read

Hyperlink is used to navigate to web links or cell reference within the sheet or to other sheets in Spreadsheet. You can use the allowHyperlink property to enable or disable hyperlink functionality.

  • The default value for allowHyperlink property is true.

You can insert a hyperlink in a worksheet cell for quick access to related information.

User Interface:

In the active spreadsheet, click the cell where you want to create a hyperlink. Insert hyperlink can be done by any of the following ways:

  • Select the INSERT tab in the Ribbon toolbar and choose the Link item.
  • Right-click the cell and then click Hyperlink item in the context menu.
  • Use Ctrl + K keyboard shortcut to apply the hyperlink.
  • Use the addHyperlink method programmatically.

You can change an existing hyperlink in your workbook by changing its destination or the text that is used to represent it.

User Interface:

In the active spreadsheet, Select the cell that contains the hyperlink that you want to change. Editing the hyperlink while opening the dialog can be done by any one of the following ways:

  • Select the INSERT tab in the Ribbon toolbar and choose the Link item.
  • Right-click the cell and then click Edit Hyperlink item in the context menu, or you can press Ctrl+K.

In the Edit Link dialog box, make the changes that you want, and click UPDATE.

Performing this operation remove a single hyperlink without losing the display text.

User Interface:

In the active spreadsheet, click the cell where you want to remove a hyperlink. remove hyperlink can be done by any of the following ways:

  • Right-click the cell and then click Remove Hyperlink item in the context menu.
  • Use the removeHyperlink() method programmatically.

How to change target attribute

There is an event named beforeHyperlinkClick which triggers only on clicking hyperlink. You can customize where to open the hyperlink by using the target property in the arguments of that event.

<template>
    <ejs-spreadsheet ref="spreadsheet" :beforeHyperlinkClick="beforeHyperlinkClick">
        <e-sheets>
            <e-sheet name="PriceDetails">
                <e-rows>
                    <e-row>
                        <e-cells>
                            <e-cell value="Item Name"></e-cell>
                            <e-cell value="Stock Detail"></e-cell>
                            <e-cell value="Website"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Casual Shoes"></e-cell>
                            <e-cell value="OUT OF STOCK"></e-cell>
                            <e-cell value="Amazon" hyperlink="https://www.amazon.com/"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Sports Shoes"></e-cell>
                            <e-cell value="IN STOCK" hyperlink="Stock!A2:B2"></e-cell>
                            <e-cell value="Overstack" hyperlink="https://www.overstock.com/"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Formal Shoes"></e-cell>
                            <e-cell value="IN STOCK" hyperlink="Stock!A3:B3"></e-cell>
                            <e-cell value="AliExpress" hyperlink="https://www.aliexpress.com/"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Sandals & Floaters"></e-cell>
                            <e-cell value="OUT OF STOCK"></e-cell>
                            <e-cell value="AliBaba" hyperlink="https://www.aliBaba.com/"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Flip-Flops & Slippers"></e-cell>
                            <e-cell value="IN STOCK" hyperlink="Stock!A4:B4"></e-cell>
                            <e-cell value="Taobao" hyperlink="https://www.taobao.com/"></e-cell>
                        </e-cells>
                    </e-row>
                </e-rows>
                <e-columns>
                    <e-column :width="width1"></e-column>
                    <e-column :width="width1"></e-column>
                    <e-column :width="width2"></e-column>
                </e-columns>
            </e-sheet>
            <e-sheet name="Stock">
                <e-rows>
                    <e-row>
                        <e-cells>
                            <e-cell value="Item Name"></e-cell>
                            <e-cell value="Available Count"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Sports Shoes"></e-cell>
                            <e-cell value="30"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Formal Shoes"></e-cell>
                            <e-cell value="25"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Flip-Flops & Slippers"></e-cell>
                            <e-cell value="40"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Running Shoes"></e-cell>
                            <e-cell value="25"></e-cell>
                        </e-cells>
                    </e-row>
                </e-rows>
                <e-columns>
                    <e-column :width="width1"></e-column>
                    <e-column :width="width2"></e-column>
                </e-columns>
            </e-sheet>
        </e-sheets></ejs-spreadsheet>
</template>

<script setup>
import { SpreadsheetComponent as EjsSpreadsheet, ColumnsDirective as EColumns, ColumnDirective as EColumn, RowsDirective as ERows, RowDirective as ERow, CellsDirective as ECells, CellDirective as ECell, RangesDirective as ERanges, RangeDirective as ERange, SheetsDirective as ESheets, SheetDirective as ESheet } from "@syncfusion/ej2-vue-spreadsheet";

const width1 = 160;
const width2 = 120;
const beforeHyperlinkClick = function (args) {
    args.target = '_self'; //change target attribute
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-grids/styles/tailwind3.css';
@import "../node_modules/@syncfusion/ej2-vue-spreadsheet/styles/tailwind3.css";
</style>
<template>
    <ejs-spreadsheet ref="spreadsheet" :beforeHyperlinkClick="beforeHyperlinkClick">
        <e-sheets>
            <e-sheet name="PriceDetails">
                <e-rows>
                    <e-row>
                        <e-cells>
                            <e-cell value="Item Name"></e-cell>
                            <e-cell value="Stock Detail"></e-cell>
                            <e-cell value="Website"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Casual Shoes"></e-cell>
                            <e-cell value="OUT OF STOCK"></e-cell>
                            <e-cell value="Amazon" hyperlink="https://www.amazon.com/"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Sports Shoes"></e-cell>
                            <e-cell value="IN STOCK" hyperlink="Stock!A2:B2"></e-cell>
                            <e-cell value="Overstack" hyperlink="https://www.overstock.com/"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Formal Shoes"></e-cell>
                            <e-cell value="IN STOCK" hyperlink="Stock!A3:B3"></e-cell>
                            <e-cell value="AliExpress" hyperlink="https://www.aliexpress.com/"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Sandals & Floaters"></e-cell>
                            <e-cell value="OUT OF STOCK"></e-cell>
                            <e-cell value="AliBaba" hyperlink="https://www.aliBaba.com/"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Flip-Flops & Slippers"></e-cell>
                            <e-cell value="IN STOCK" hyperlink="Stock!A4:B4"></e-cell>
                            <e-cell value="Taobao" hyperlink="https://www.taobao.com/"></e-cell>
                        </e-cells>
                    </e-row>
                </e-rows>
                <e-columns>
                    <e-column :width="width1"></e-column>
                    <e-column :width="width1"></e-column>
                    <e-column :width="width2"></e-column>
                </e-columns>
            </e-sheet>
            <e-sheet name="Stock">
                <e-rows>
                    <e-row>
                        <e-cells>
                            <e-cell value="Item Name"></e-cell>
                            <e-cell value="Available Count"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Sports Shoes"></e-cell>
                            <e-cell value="30"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Formal Shoes"></e-cell>
                            <e-cell value="25"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Flip-Flops & Slippers"></e-cell>
                            <e-cell value="40"></e-cell>
                        </e-cells>
                    </e-row>
                    <e-row>
                        <e-cells>
                            <e-cell value="Running Shoes"></e-cell>
                            <e-cell value="25"></e-cell>
                        </e-cells>
                    </e-row>
                </e-rows>
                <e-columns>
                    <e-column :width="width1"></e-column>
                    <e-column :width="width2"></e-column>
                </e-columns>
            </e-sheet>
        </e-sheets></ejs-spreadsheet>
</template>

<script>
import { SpreadsheetComponent, ColumnsDirective, ColumnDirective, RowsDirective, RowDirective, CellsDirective, CellDirective, RangesDirective, RangeDirective, SheetsDirective, SheetDirective } from "@syncfusion/ej2-vue-spreadsheet";

export default {
    name: "App",
    components: {
        "ejs-spreadsheet": SpreadsheetComponent,
        "e-sheets": SheetsDirective,
        "e-sheet": SheetDirective,
        "e-rows": RowsDirective,
        "e-row": RowDirective,
        "e-cells": CellsDirective,
        "e-cell": CellDirective,
        "e-columns": ColumnsDirective,
        "e-column": ColumnDirective
    },
    data: () => {
        return {
            width1: 160,
            width2: 120,
        }
    },
    methods: {
        beforeHyperlinkClick: function (args) {
            args.target = '_self'; //change target attribute
        }
    }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-grids/styles/tailwind3.css';
@import "../node_modules/@syncfusion/ej2-vue-spreadsheet/styles/tailwind3.css";
</style>

Limitations

  • Inserting hyperlink not supported for multiple ranges.

Note

You can refer to our Vue Spreadsheet Editor feature tour page for its groundbreaking feature representations. You can also explore our Vue Spreadsheet example to knows how to present and manipulate data.

See Also

Link in Angular Spreadsheet component

29 Jun 20264 minutes to read

Hyperlink is used to navigate to web links or cell reference within the sheet or to other sheets in Spreadsheet. You can use the allowHyperlink property to enable or disable hyperlink functionality.

  • The default value for allowHyperlink property is true.

You can insert a hyperlink in a worksheet cell for quick access to related information.

User Interface:

In the active spreadsheet, click the cell where you want to create a hyperlink. Insert hyperlink can be done by any of the following ways:

  • Select the INSERT tab in the Ribbon toolbar and choose the Link item.
  • Right-click the cell and then click Hyperlink item in the context menu, or you can press Ctrl+K.
  • Use the addHyperlink() method programmatically.

You can change an existing hyperlink in your workbook by changing its destination or the text that is used to represent it.

User Interface:

In the active spreadsheet, Select the cell that contains the hyperlink that you want to change. Editing the hyperlink while opening the dialog can be done by any one of the following ways:

  • Select the INSERT tab in the Ribbon toolbar and choose the Link item.
  • Right-click the cell and then click Edit Hyperlink item in the context menu, or you can press Ctrl+K.

In the Edit Link dialog box, make the changes that you want, and click UPDATE.

Performing this operation remove a single hyperlink without losing the display text.

User Interface:

In the active spreadsheet, click the cell where you want to remove a hyperlink. remove hyperlink can be done by any of the following ways:

  • Right-click the cell and then click Remove Hyperlink item in the context menu.
  • Use the removeHyperlink() method programmatically.

How to change target attribute

There is an event named beforeHyperlinkClick which triggers only on clicking hyperlink. You can customize where to open the hyperlink by using the target property in the arguments of that event.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { SpreadsheetAllModule } from '@syncfusion/ej2-angular-spreadsheet'




import { Component, OnInit, ViewChild } from '@angular/core';
import { SpreadsheetComponent } from '@syncfusion/ej2-angular-spreadsheet';

@Component({
imports: [
        
        SpreadsheetAllModule
    ],


standalone: true,
    selector: 'app-container',
    template: "<ejs-spreadsheet #spreadsheet (beforeHyperlinkClick)='beforeHyperlinkClick($event)'> <e-sheets> <e-sheet name='Monthly Budget' selectedRange='D13'>  <e-rows>  <e-row>  <e-cells>   <e-cell value='Item Name'></e-cell>   <e-cell value='Quantity'></e-cell>  <e-cell value='Price'></e-cell> <e-cell value='Amount'></e-cell> <e-cell value='Stock Detail'></e-cell>   <e-cell value='Website'></e-cell>   </e-cells>    </e-row> <e-row>     <e-cells>    <e-cell value='Casual Shoes'></e-cell>   <e-cell value='10'></e-cell>  <e-cell value='20'></e-cell>  <e-cell value='200'></e-cell> <e-cell value='OUT OF STOCK'></e-cell>  <e-cell value='Amazon' hyperlink='https://www.amazon.com/'></e-cell> </e-cells> </e-row>  <e-row> <e-cells> <e-cell value='Sports Shoes'></e-cell>  <e-cell value='20'></e-cell> <e-cell value='30'></e-cell>  <e-cell value='600'></e-cell>  <e-cell value='IN STOCK' hyperlink='Stock!A2:B2'></e-cell> <e-cell value='Overstack' hyperlink='https://www.overstock.com/'></e-cell> </e-cells> </e-row> <e-row>   <e-cells>   <e-cell value='Formal Shoes'></e-cell>   <e-cell value='20'></e-cell> <e-cell value='15'></e-cell>  <e-cell value='300'></e-cell>  <e-cell value='IN STOCK' hyperlink='Stock!A3:B3'></e-cell>  <e-cell value='Aliexpress' hyperlink='https://www.aliexpress.com/'></e-cell>  </e-cells>  </e-row>  <e-row>   <e-cells>    <e-cell value='Sandals & Floaters'></e-cell>  <e-cell value='15'></e-cell>  <e-cell value='20'></e-cell>   <e-cell value='300'></e-cell> <e-cell value='OUT OF STOCK'></e-cell>  <e-cell value='Alibaba' hyperlink='http://www.alibaba.com/'></e-cell>    </e-cells>    </e-row>  <e-row>  <e-cells>  <e-cell value='Flip-Flops & Slippers'></e-cell>   <e-cell value='30'></e-cell> <e-cell value='10'></e-cell>  <e-cell value='300'></e-cell>    <e-cell value='IN STOCK' hyperlink='Stock!A4:B4'></e-cell>  <e-cell value='Taobao' hyperlink='https://taobao.com/'></e-cell>   </e-cells>   </e-row>  </e-rows>  <e-columns>     <e-column [width]=110></e-column>     <e-column [width]=115></e-column> <e-column [width]=110></e-column> <e-column [width]=100></e-column>    <e-column [width]=120></e-column> <e-column [width]=140></e-column> </e-columns>  </e-sheet> <e-sheet name='Stock' selectedRange='D13'>  <e-rows>  <e-row> <e-cells>    <e-cell value='Item Name'></e-cell> <e-cell value='Available Count'></e-cell>     </e-cells> </e-row>  <e-row> <e-cells>  <e-cell value='Casual Shoes'></e-cell> <e-cell value='10'></e-cell>   </e-cells>  </e-row> <e-row>   <e-cells>  <e-cell value='Sports Shoes'></e-cell>  <e-cell value='20'></e-cell>  </e-cells> </e-row>  <e-row>  <e-cells> <e-cell value='Formal Shoes'></e-cell>  <e-cell value='20'></e-cell></e-cells></e-row>  <e-row> <e-cells>  <e-cell value='Sandals & Floaters'></e-cell><e-cell value='15'></e-cell>  </e-cells>  </e-row><e-row> <e-cells> <e-cell value='Flip-Flops & Slippers'></e-cell>  <e-cell value='30'></e-cell> </e-cells> </e-row> </e-rows> <e-columns> <e-column [width]=110></e-column><e-column [width]=115></e-column></e-columns></e-sheet></e-sheets></ejs-spreadsheet>"
})
export class AppComponent implements OnInit {

    @ViewChild('spreadsheet') public spreadsheetObj?: SpreadsheetComponent;
    ngOnInit(): void {
    }
    beforeHyperlinkClick (args : any) {
        args.target = '_self'; //change target attribute
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Limitations

  • Inserting hyperlink not supported for multiple ranges.

Note

You can refer to our Angular Spreadsheet Editor feature tour page for its groundbreaking feature representations. You can also explore our Angular Spreadsheet example to knows how to present and manipulate data.

See Also

Link in React Spreadsheet component

1 Jul 202624 minutes to read

Hyperlink is used to navigate to web links or cell reference within the sheet or to other sheets in Spreadsheet. You can use the allowHyperlink property to enable or disable hyperlink functionality.

  • The default value for allowHyperlink property is true.

You can insert a hyperlink in a worksheet cell for quick access to related information.

User Interface:

In the active spreadsheet, click the cell where you want to create a hyperlink. Insert hyperlink can be done by any of the following ways:

  • Select the INSERT tab in the Ribbon toolbar and choose the Link item.
  • Right-click the cell and then click Hyperlink item in the context menu, or you can press Ctrl + K.
  • Use the addHyperlink method programmatically.

You can update an existing hyperlink in your workbook by changing either:

  • Destination Link – Modify the link target (web address, cell reference, or sheet).
  • Display Text – Change the text shown in the cell that represents the hyperlink.

User Interface:

In the active spreadsheet, Select the cell that contains the hyperlink that you want to change. Editing the hyperlink while opening the dialog can be done by any one of the following ways:

  • Select the INSERT tab in the Ribbon toolbar and choose the Link item.
  • Right-click the cell and then click Edit Hyperlink item in the context menu, or you can press Ctrl+K.

In the Edit Link dialog box, make the changes that you want, and click UPDATE.

You can remove a hyperlink from a cell without losing the display text.
This operation clears only the link itself, leaving the text in the cell unchanged.

User Interface:

In the active spreadsheet, click the cell where you want to remove a hyperlink. remove hyperlink can be done by any of the following ways:

  • Right-click the cell and then click Remove Hyperlink item in the context menu.
  • Use the removeHyperlink method programmatically.

How to change target attribute

There is an event named beforeHyperlinkClick which triggers only on clicking hyperlink. You can customize where to open the hyperlink by using the target property in the arguments of that event.

import * as React from 'react';
import { createRoot } from 'react-dom/client';
import { SpreadsheetComponent, SheetsDirective, SheetDirective, CellDirective, RowDirective } from '@syncfusion/ej2-react-spreadsheet';
import { ColumnsDirective, ColumnDirective, CellsDirective, RowsDirective } from '@syncfusion/ej2-react-spreadsheet';

function App() {
    const onBeforeHyperlinkClick = (args) => {
        args.target = '_self'; //change target attribute
    };

    return (
        <SpreadsheetComponent beforeHyperlinkClick={onBeforeHyperlinkClick}>
            <SheetsDirective>
                <SheetDirective selectedRange='D13' name='PriceDetails'>
                    <RowsDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Item Name' ></CellDirective>
                                <CellDirective value='Quantity' ></CellDirective>
                                <CellDirective value='Price' ></CellDirective>
                                <CellDirective value='Amount' ></CellDirective>
                                <CellDirective value='Stock Detail' ></CellDirective>
                                <CellDirective value='Website' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Casual Shoes' ></CellDirective>
                                <CellDirective value='10' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                                <CellDirective value='200' ></CellDirective>
                                <CellDirective value='OUT OF STOCK' ></CellDirective>
                                <CellDirective value='Amazon' hyperlink='https://www.amazon.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Sports Shoes' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                                <CellDirective value='30' ></CellDirective>
                                <CellDirective value='600'></CellDirective>
                                <CellDirective value='IN STOCK' hyperlink='Stock!A2:B2' ></CellDirective>
                                <CellDirective value='Overstack' hyperlink='https://www.overstock.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Formal Shoes' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                                <CellDirective value='15' ></CellDirective>
                                <CellDirective value='300'></CellDirective>
                                <CellDirective value='IN STOCK' hyperlink='Stock!A3:B3' ></CellDirective>
                                <CellDirective value='AliExpress' hyperlink='https://www.aliexpress.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Sandals & Floaters' ></CellDirective>
                                <CellDirective value='15' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                                <CellDirective value='300' ></CellDirective>
                                <CellDirective value='OUT OF STOCK' ></CellDirective>
                                <CellDirective value='AliBaba' hyperlink='https://www.alibaba.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Flip-Flops & Slippers' ></CellDirective>
                                <CellDirective value='30' ></CellDirective>
                                <CellDirective value='10' ></CellDirective>
                                <CellDirective value='300'></CellDirective>
                                <CellDirective value='IN STOCK' hyperlink='Stock!A4:B4' ></CellDirective>
                                <CellDirective value='Taobao' hyperlink='https://taobao.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                    </RowsDirective>
                    <ColumnsDirective>
                        <ColumnDirective width={110}></ColumnDirective>
                        <ColumnDirective width={115}></ColumnDirective>
                        <ColumnDirective width={110}></ColumnDirective>
                        <ColumnDirective width={100}></ColumnDirective>
                        <ColumnDirective width={110}></ColumnDirective>
                        <ColumnDirective width={100}></ColumnDirective>
                    </ColumnsDirective>
                </SheetDirective>
                <SheetDirective selectedRange='D13' name='Stock'>
                    <RowsDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Item Name' ></CellDirective>
                                <CellDirective value='Available Count' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Casual Shoes' ></CellDirective>
                                <CellDirective value='10' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Sports Shoes' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Formal Shoes' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Sandals & Floaters' ></CellDirective>
                                <CellDirective value='15' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Flip-Flops & Slippers' ></CellDirective>
                                <CellDirective value='30' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                    </RowsDirective>
                    <ColumnsDirective>
                        <ColumnDirective width={110}></ColumnDirective>
                        <ColumnDirective width={115}></ColumnDirective>
                    </ColumnsDirective>
                </SheetDirective>
            </SheetsDirective>
        </SpreadsheetComponent>
    );
};
export default App;

const root = createRoot(document.getElementById('root'));
root.render(<App />);
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import { SpreadsheetComponent, SheetsDirective, SheetDirective, CellDirective, RowDirective, BeforeHyperlinkArgs } from '@syncfusion/ej2-react-spreadsheet';
import { ColumnsDirective, ColumnDirective, CellsDirective, RowsDirective } from '@syncfusion/ej2-react-spreadsheet';

function App() {
    const onBeforeHyperlinkClick = (args: BeforeHyperlinkArgs): void => {
        args.target = '_self'; //change target attribute
    };

    return (
        <SpreadsheetComponent beforeHyperlinkClick={onBeforeHyperlinkClick}>
            <SheetsDirective>
                <SheetDirective selectedRange='D13' name='PriceDetails'>
                    <RowsDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Item Name' ></CellDirective>
                                <CellDirective value='Quantity' ></CellDirective>
                                <CellDirective value='Price' ></CellDirective>
                                <CellDirective value='Amount' ></CellDirective>
                                <CellDirective value='Stock Detail' ></CellDirective>
                                <CellDirective value='Website' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Casual Shoes' ></CellDirective>
                                <CellDirective value='10' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                                <CellDirective value='200' ></CellDirective>
                                <CellDirective value='OUT OF STOCK' ></CellDirective>
                                <CellDirective value='Amazon' hyperlink='https://www.amazon.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Sports Shoes' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                                <CellDirective value='30' ></CellDirective>
                                <CellDirective value='600'></CellDirective>
                                <CellDirective value='IN STOCK' hyperlink='Stock!A2:B2' ></CellDirective>
                                <CellDirective value='Overstack' hyperlink='https://www.overstock.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Formal Shoes' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                                <CellDirective value='15' ></CellDirective>
                                <CellDirective value='300'></CellDirective>
                                <CellDirective value='IN STOCK' hyperlink='Stock!A3:B3' ></CellDirective>
                                <CellDirective value='AliExpress' hyperlink='https://www.aliexpress.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Sandals & Floaters' ></CellDirective>
                                <CellDirective value='15' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                                <CellDirective value='300' ></CellDirective>
                                <CellDirective value='OUT OF STOCK' ></CellDirective>
                                <CellDirective value='AliBaba' hyperlink='https://www.alibaba.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Flip-Flops & Slippers' ></CellDirective>
                                <CellDirective value='30' ></CellDirective>
                                <CellDirective value='10' ></CellDirective>
                                <CellDirective value='300'></CellDirective>
                                <CellDirective value='IN STOCK' hyperlink='Stock!A4:B4' ></CellDirective>
                                <CellDirective value='Taobao' hyperlink='https://taobao.com/'></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                    </RowsDirective>
                    <ColumnsDirective>
                        <ColumnDirective width={110}></ColumnDirective>
                        <ColumnDirective width={115}></ColumnDirective>
                        <ColumnDirective width={110}></ColumnDirective>
                        <ColumnDirective width={100}></ColumnDirective>
                        <ColumnDirective width={110}></ColumnDirective>
                        <ColumnDirective width={100}></ColumnDirective>
                    </ColumnsDirective>
                </SheetDirective>
                <SheetDirective selectedRange='D13' name='Stock'>
                    <RowsDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Item Name' ></CellDirective>
                                <CellDirective value='Available Count' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Casual Shoes' ></CellDirective>
                                <CellDirective value='10' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Sports Shoes' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Formal Shoes' ></CellDirective>
                                <CellDirective value='20' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Sandals & Floaters' ></CellDirective>
                                <CellDirective value='15' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                        <RowDirective>
                            <CellsDirective>
                                <CellDirective value='Flip-Flops & Slippers' ></CellDirective>
                                <CellDirective value='30' ></CellDirective>
                            </CellsDirective>
                        </RowDirective>
                    </RowsDirective>
                    <ColumnsDirective>
                        <ColumnDirective width={110}></ColumnDirective>
                        <ColumnDirective width={115}></ColumnDirective>
                    </ColumnsDirective>
                </SheetDirective>
            </SheetsDirective>
        </SpreadsheetComponent>
    );
};
export default App;

const root = createRoot(document.getElementById('root')!);
root.render(<App />);

Limitations

  • Inserting hyperlink not supported for multiple ranges.

Note

You can refer to our React Spreadsheet Editor feature tour page for its groundbreaking feature representations. You can also explore our React Spreadsheet example to knows how to present and manipulate data.

See Also